com::lomiri::location::Accuracy< T > Struct Template Reference

`#include <accuracy.h>`

Collaboration diagram for com::lomiri::location::Accuracy< T >:

## Public Types

typedef T::Unit | Unit
typedef T::Quantity | Quantity

## Public Member Functions

AccuracyLevel | classify () const

## Static Public Member Functions

static Accuracy< T > | best ()
static Accuracy< T > | worst ()

## Public Attributes

T | value

## Detailed Description

template<typename T>
struct com::lomiri::location::Accuracy< T >

Definition at line 51 of file accuracy.h.

## Member Typedef Documentation

## Quantity

template<typename T>

typedef T::Quantity com::lomiri::location::Accuracy< T >::Quantity

Definition at line 54 of file accuracy.h.

## Unit

template<typename T>

typedef T::Unit com::lomiri::location::Accuracy< T >::Unit

Definition at line 53 of file accuracy.h.

## Member Function Documentation

## best()

template<typename T>

Accuracy< T > com::lomiri::location::Accuracy< T >::best | ( |  | ) |

inline static

Definition at line 56 of file accuracy.h.

References com::lomiri::location::AccuracyTraits< T >::best().

Here is the call graph for this function:

## classify()

template<typename T>

AccuracyLevel com::lomiri::location::Accuracy< T >::classify | ( |  | ) | const

inline

Definition at line 59 of file accuracy.h.

References com::lomiri::location::AccuracyTraits< T >::classify(), and value.

Here is the call graph for this function:

## worst()

template<typename T>

Accuracy< T > com::lomiri::location::Accuracy< T >::worst | ( |  | ) |

inline static

Definition at line 57 of file accuracy.h.

References com::lomiri::location::AccuracyTraits< T >::worst().

Here is the call graph for this function:

## Member Data Documentation

## value

template<typename T>

T com::lomiri::location::Accuracy< T >::value

Definition at line 64 of file accuracy.h.

Referenced by classify(), and com::lomiri::location::operator<<().

The documentation for this struct was generated from the following file:

- accuracy.h